7 Replies Latest reply: Jun 13, 2013 1:32 AM by TonyW RSS

    Starting EJB 3 in MyEclipse

    User_Sep
      Hi,

      I am using myEclise 6.0.1 GA, I need to build a simple application(EJB) using JBoss 4.x as my application server and Oracle 10g as my DataBase server. I am very new to EJB 3 concepts, When I google, many tutorials guiding me in "Glassfish server", But I need to go with JBoss. Can anyone guide me?

      -raka
        • 1. Re: Starting EJB 3 in MyEclipse
          gimbal2
          Get books. This is a very difficult subject that you're not going to learn from tutorials. I recommend you to get "Enterprise Javabeans 3.0" by O'Reilly publishing to begin with. Also get "JBoss in Action". You may also want to consider getting "Pro EJB 3: Java Persistence API" if Enterprise Javabeans 3.0's JPA chapters are not clear enough for you.
          • 2. Re: Starting EJB 3 in MyEclipse
            r035198x
            Why are you using jboss 4.x in 2013?
            • 3. Re: Starting EJB 3 in MyEclipse
              TonyW
              I suggest you upgrade to MyEclipse 2013 - you are a very long way behind and there has been a lot of bug fixes and added features since release 6. Your license applies to all releases of MyEclipse. Also, use an updated server; there are plenty about. MyEclipse 2013 has an EJB3 tutorial that you might find of interest.
              • 4. Re: Starting EJB 3 in MyEclipse
                gimbal2
                Jeepers, I need to speak up. Too many times I see the all too easy "you need to upgrade man!" advice. But I take what the OP said seriously:
                I need to build a simple application(EJB) using JBoss 4.x as my application server and Oracle 10g as my DataBase server
                Translated: I have no other choice but to use the old crud. Give the guy the benefit of the doubt.
                • 5. Re: Starting EJB 3 in MyEclipse
                  User_Sep
                  Thanks Gimbal,

                  You are exactly right. I have no other way. I need to built it with the available resource given to me. Please suggest me some way.

                  Thanks,
                  -raka
                  • 6. Re: Starting EJB 3 in MyEclipse
                    r035198x
                    Many people post in forums starting with "I need X..." when they don't need X so there is nothing wrong with asking why you think you need that.

                    If you have jboss 4.X find out what X is first. Some versions do not support ejb3 out of the box so you may still need to upgrade/patch your jboss anyway if you want to use ejb3. After you have verified that your jboss version supports ejb 3 get your version's manual from the jboss docs site and read that together with oracle's EE5 tutorial (freely available online). I highly recommend using a build tool like maven for this so that your build process does not have to be dependent on any (version of) IDE.
                    • 7. Re: Starting EJB 3 in MyEclipse
                      TonyW

                      Good point, Gimbal2 but r035198x also made a good point. Note that I also suggested upgrading to MyEclipse 2013. user_sep is a very long way behind with MyEclipse and the latest release doesn't cost any more (assuming user_rep is using a licensed copy). The latest version (2013, formerly referred to as release 11) has fixed many errors and